Bug 68672 - Can't create stock menu items
Can't create stock menu items
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glade2 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-12 08:26 EDT by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 06:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-07-12 08:26:57 EDT
Description of Problem: 
Glade-2 writes glade files that libglade2 doesn't understand.  In particular, although glade-2 
sets the 'stock' property of a GtkImageMenuItem when you pick a stock menu item, libglade2 
says: 
 
libglade-WARNING **: unknown property `stock' for class `GtkImageMenuItem' 
 
Version-Release number of selected component (if applicable): 
glade2-1.1.0.90-3 
libglade2-2.0.0-2 
 
How Reproducible: 
100% 
 
Steps to Reproduce: 
1. Use glade-2 to create a stock menu item. 
2. Try to use it. 
 
Actual Results: 
Warning. 
 
Expected Results: 
Functioning menu. 
 
Additional Information: 
Rather than trying to set the 'stock' property of the GtkImageMenuItem, I think that glade-2 
ought to be creating an internal child image GtkImage widget and setting *its* stock property.  
Like this: 
 
<widget class="GtkImageMenuItem" id="manual1"> 
  <property name="visible">yes</property> 
 
  <child internal-child="image"> 
    <widget class="GtkImage" id="convertwidget5"> 
      <property name="stock">gnome-stock-book-red</property> 
      <property name="visible">yes</property> 
    </widget> 
  </child> 
</widget>
Comment 1 Havoc Pennington 2002-07-12 09:41:11 EDT
This is fixed in upstream CVS - I need to pull new versions.
Comment 2 Tim Waugh 2002-07-17 06:25:37 EDT
This seems fixed in 1.1.0.91-1.

Note You need to log in before you can comment on or make changes to this bug.